/***************************************************************
*                                                              *
*  Robótica educacional: atividades com o Kit Criatecno CT100  *
*                          2a Edição                           *
*                                                              *
*                          CRIATECNO                           *
*                     www.criatecno.com.br                     *
*                                                              *
***************************************************************/

// Atividade 20 - Indicando proximidade com LED e sonorizador
int trig = 7;
int echo = 8;
int sonorizador = 5;
int led = 6;
long tempo;
long distancia;
long distancia1;
long distancia2;
long distanciaMedia;
void setup() {
  pinMode(trig, OUTPUT);
  pinMode(sonorizador, OUTPUT);
  pinMode(led, OUTPUT);
  pinMode(echo, INPUT);
}
void loop() {
  distancia1 = ultrassom();
  delay(10);
  distancia2 = ultrassom();
  distanciaMedia = (distancia1 + distancia2) / 2;
  if (distanciaMedia >= 100) {
    digitalWrite(led, LOW);
  }
  else {
    tone(sonorizador, 880);
    digitalWrite(led, HIGH);
    delay(100);
    noTone(sonorizador);
    digitalWrite(led, LOW);
    delay(distanciaMedia * 5);
  }
}
long ultrassom() {
  digitalWrite(trig, HIGH);
  delayMicroseconds(10); 
  digitalWrite(trig, LOW);
  tempo = pulseIn(echo, HIGH);
  distancia = ((tempo / 29) / 2);
  return distancia;
}
