/***************************************************************
*                                                              *
*  Robótica educacional: atividades com o Kit Criatecno CT100  *
*                          2a Edição                           *
*                                                              *
*                          CRIATECNO                           *
*                     www.criatecno.com.br                     *
*                                                              *
***************************************************************/

// Atividade 38 - Locomoção controlada por luz
#include <Servo.h> 
Servo servoDireito;
Servo servoEsquerdo;
int fotoresistor = 0;
int motorDireito = 7;
int motorEsquerdo = 8;
int valorFotoresistor;
int valorLuz;
int limite = 750;
void setup() {
  servoDireito.attach(motorDireito);
  servoEsquerdo.attach(motorEsquerdo);
}
void loop() {
  valorFotoresistor = analogRead(fotoresistor);
  valorLuz = map(valorFotoresistor, 0, 1023, 1, 1000);
  if (valorLuz > limite) {
    servoDireito.writeMicroseconds(2100);
    servoEsquerdo.writeMicroseconds(900);
  }
  else {
    servoDireito.writeMicroseconds(1500);
    servoEsquerdo.writeMicroseconds(1500);
  }
}
