/***************************************************************
*                                                              *
*  Robótica educacional: atividades com o Kit Criatecno CT100  *
*                          2a Edição                           *
*                                                              *
*                          CRIATECNO                           *
*                     www.criatecno.com.br                     *
*                                                              *
***************************************************************/

// Atividade 32 -  Navegação táctil
#include <Servo.h> 
Servo servoDireito;
Servo servoEsquerdo;
int chaveDireita = 7;
int chaveEsquerda = 8;
int motorDireito = 6;
int motorEsquerdo = 9;
int nivelChaveDireita;
int nivelChaveEsquerda;
int tempoTras = 600;
int tempoDireita = 400;
int tempoEsquerda = 400;     
void setup() {
  pinMode(chaveDireita, INPUT); 
  pinMode(chaveEsquerda, INPUT);
  servoDireito.attach(motorDireito);
  servoEsquerdo.attach(motorEsquerdo);
}
void loop() {
  nivelChaveDireita = digitalRead(chaveDireita);
  nivelChaveEsquerda = digitalRead(chaveEsquerda);
  if (nivelChaveDireita == LOW && nivelChaveEsquerda == LOW) {
    servoDireito.writeMicroseconds(900); 
    servoEsquerdo.writeMicroseconds(2100);
    delay(tempoTras);
    servoDireito.writeMicroseconds(900); 
    servoEsquerdo.writeMicroseconds(900); 
    delay(tempoDireita);
  }
  if (nivelChaveDireita == LOW && nivelChaveEsquerda == HIGH) {
    servoDireito.writeMicroseconds(900); 
    servoEsquerdo.writeMicroseconds(2100); 
    delay(tempoTras);
    servoDireito.writeMicroseconds(2100); 
    servoEsquerdo.writeMicroseconds(2100); 
    delay(tempoEsquerda);
  } 
  if (nivelChaveDireita == HIGH && nivelChaveEsquerda == LOW) {
    servoDireito.writeMicroseconds(900); 
    servoEsquerdo.writeMicroseconds(2100);
    delay(tempoTras); 
    servoDireito.writeMicroseconds(900); 
    servoEsquerdo.writeMicroseconds(900); 
    delay(tempoDireita);
  }
  if (nivelChaveDireita == HIGH && nivelChaveEsquerda == HIGH) {
    servoDireito.writeMicroseconds(2100); 
    servoEsquerdo.writeMicroseconds(900);
  }
}
