/***************************************************************
*                                                              *
*  Robótica educacional: atividades com o Kit Criatecno CT100  *
*                          2a Edição                           *
*                                                              *
*                          CRIATECNO                           *
*                     www.criatecno.com.br                     *
*                                                              *
***************************************************************/

// Atividade 33 -  Locomoção controlada por infravermelho
#include <Servo.h> 
Servo servoDireito;
Servo servoEsquerdo;
int receptor = 7;
int led = 8;
int motorDireito = 6;
int motorEsquerdo = 9;
int nivelReceptor = HIGH;
int nivelIR;
long frequencia = 41000;
void setup() {
  pinMode(receptor, INPUT);
  pinMode(led, OUTPUT);
  servoDireito.attach(motorDireito);
  servoEsquerdo.attach(motorEsquerdo);
}
void loop() {
  if (nivelReceptor == HIGH) {
    servoDireito.writeMicroseconds(1700);
    servoEsquerdo.writeMicroseconds(1300);
    delay(20);
    nivelReceptor = detectar(receptor, led);
  }
  else {
    servoDireito.writeMicroseconds(1500);
    servoEsquerdo.writeMicroseconds(1500);
  }
}
int detectar(int receptorIR, int ledIR) {
  tone(ledIR, frequencia, 8);
  delay(1);
  nivelIR = digitalRead(receptorIR);
  delay(1);
  return nivelIR;
}
